Bug 249484 - Login splash screen needs to be moved into theme jar file
Login splash screen needs to be moved into theme jar file
Status: VERIFIED
Product: Fedora Management Console
Classification: Fedora
Component: General (Show other bugs)
1.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Nathan Kinder
Ben Levenson
:
Depends On:
Blocks: 240316
  Show dependency treegraph
 
Reported: 2007-07-24 19:14 EDT by Nathan Kinder
Modified: 2015-01-04 19:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (1.32 KB, patch)
2007-07-24 19:14 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2007-07-24 19:14:58 EDT
The login splash screen image file is currently part of the main console jar
file.  This image should be part of the theme jar instead.

The attached diffs move the location of the image in the source tree, which will
ensure that it is placed in the theme jar file.  The loading of the image has
been changed to reference the image from the new location.  I also removed an
unused image from the theme jar.
Comment 1 Nathan Kinder 2007-07-24 19:14:59 EDT
Created attachment 159895 [details]
CVS Diffs
Comment 2 Noriko Hosoi 2007-07-24 20:12:06 EDT
Looks good to me.
Comment 3 Nathan Kinder 2007-07-25 11:42:23 EDT
Checked into console (HEAD).  Thanks for the review Noriko!

Checking in src/com/netscape/management/client/console/SplashScreen.java;
/cvs/dirsec/console/src/com/netscape/management/client/console/SplashScreen.java,v
 <--  SplashScreen.java
new revision: 1.2; previous revision: 1.1
done
Removing src/com/netscape/management/client/console/images/login.gif;
/cvs/dirsec/console/src/com/netscape/management/client/console/images/login.gif,v
 <--  login.gif
new revision: delete; previous revision: 1.1.1.1
done
Removing src/com/netscape/management/client/theme/images/OldServer.gif;
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/OldServer.gif,v
 <--  OldServer.gif
new revision: delete; previous revision: 1.1
done
RCS file:
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/login.gif,v
done
Checking in src/com/netscape/management/client/theme/images/login.gif;
/cvs/dirsec/console/src/com/netscape/management/client/theme/images/login.gif,v
 <--  login.gif
initial revision: 1.1
done
Comment 5 Anh Nguyen 2007-12-11 14:36:07 EST
Changed QA Whiteboard to to_be_verified_by_dev
Comment 6 Nathan Kinder 2007-12-17 14:03:15 EST
Verified that redhat-idm-console_en.jar contains the splash screen image
(login.gif).

Note You need to log in before you can comment on or make changes to this bug.